Note
Access to this page requires authorization. You can try signing in or changing directories.
Access to this page requires authorization. You can try changing directories.
Update the picture of the item in Business Central.
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
PATCH businesscentralPrefix/companies({companyId})/items({itemId})/picture
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
Request body
In the request body, supply the values for relevant fields that should be updated. Existing properties that aren't included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.
Note
You can't modify parentId, dimensionId or dimensionCode fields, because these are key fields, and rename is not allowed in Default Dimension record.
Response
If successful, this method returns a 200 OK response code and an updated default dimensions for the item in the response body.
Example
Request
Here's an example of the request.
PATCH https://{businesscentralPrefix}/api/v2.0/companies({companyId})/items({itemId})/picture
Request body
Response
Here's an example of the response.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
Related information
Tips for working with the APIs
Items
Create item picture
Get item picture
Delete item picture